## com.gargoylesoftware.htmlunit
Interface ScriptPreProcessor

    public interface ScriptPreProcessor

A script pre processor call back. This interface is called when ScriptEngine.execute() is called. It gives developers the opportunity to modify the script to be executed.

Version:
  $Revision: 4002 $
Author:
  Ben Curren

Method Summary
`java.lang.String` `preProcess(HtmlPage htmlPage, java.lang.String sourceCode, java.lang.String sourceName, HtmlElement htmlElement)` Pre process the specified source code in the context of the given page.

Method Detail

### preProcess

    java.lang.String preProcess(HtmlPage htmlPage,
                                java.lang.String sourceCode,
                                java.lang.String sourceName,
                                HtmlElement htmlElement)

  Pre process the specified source code in the context of the given page.

  Parameters:
    `htmlPage` - the page
    `sourceCode` - the code to execute
    `sourceName` - a name for the chunk of code that is going to be executed (used in error messages)
    `htmlElement` - the HTML element that will act as the context
  Returns:
    the source code after pre processing

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.